# Clear a book transfer

**POST** `/transfers/book/{book_transfer_id}/clear`

Clear a book transfer by its ID. Transfer must be in a "hold" state. If the `amount` is specified, then that amount will be cleared, regardless of the amount of the hold. If no amount is specified, then the amount of the hold will be cleared.

### Path Parameters

- `book_transfer_id` `string` _(required)_ — Unique identifier for the book transfer.

### Body Parameters

- `allow_overdraft` `boolean` — Allow the account to go negative for the transfer. The bank account needs to have `is_overdraftable` enabled with an overdraft reserve account linked to it.
- `amount` `number` — Amount (in cents) to clear. If not provided, the original transfer amount is used.
- `currency_code` `string` — The three-letter ISO 4217 currency code (e.g., `USD`).

**Request**

```shell
curl 'https://api.column.com/transfers/book/<book_transfer_id>/clear' \
  -u :<YOUR API KEY> \
  -d amount=150000 \
  -d currency_code="USD"
```

**Response 200**

```json
{
  "id": "",
  "created_at": "2021-11-29T20:24:42.867Z",
  "updated_at": "2021-11-29T20:24:42.867Z",
  "idempotency_key": "",
  "sender_bank_account_id": "",
  "sender_account_number_id": "",
  "receiver_bank_account_id": "",
  "receiver_account_number_id": "",
  "amount": 0,
  "currency_code": "",
  "description": "",
  "status": "NONE",
  "allow_overdraft": true
}
```
